package com.lightinit.hsdataplatform.model.admin;

import java.math.BigDecimal;
import java.util.Date;

public class InvoiceListModel {
    private Long id;
    private Long userId;
    private Long orderId;
    private String userName;/*申请人*/
    private Date invoicedAt;/*申请时间*/
    private String invoiceState;/*发票状态*/
    private String invoiceType;/*发票类型*/
    private BigDecimal invoicedAmount;/*发票金额*/
    private BigDecimal invoiceAmount;/*开票金额*/
    private String orgName;/*发票抬头*/
    /*收取方式*/
    /*邮寄地址*/

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getInvoicedAt() {
        return invoicedAt;
    }

    public void setInvoicedAt(Date invoicedAt) {
        this.invoicedAt = invoicedAt;
    }

    public String getInvoiceState() {
        return invoiceState;
    }

    public void setInvoiceState(String invoiceState) {
        this.invoiceState = invoiceState;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public BigDecimal getInvoicedAmount() {
        return invoicedAmount;
    }

    public void setInvoicedAmount(BigDecimal invoicedAmount) {
        this.invoicedAmount = invoicedAmount;
    }

    public BigDecimal getInvoiceAmount() {
        return invoiceAmount;
    }

    public void setInvoiceAmount(BigDecimal invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
